
import api from '@/api/api'
const state = {
  roleList: null,//角色列表
  educationType: null,//教育类型
  projectType: null,//项目类型
  businessLevel: null,//业务层级
  sujectType: null,//科目
  schoolList: null,//院校
  Professional: null,//专业
  courseExamine: null,//考期
  certificate: null,//证书类型
  certificateName: null,//证书名称
  certificateTp: null,//证书模板
  labelList: null,//标签
  payList: null,//支付通道
  paypayee: null,//收款方
  paysource: null,//渠道来源
  payvisit: null,//到访分校
  payserve: null,//服务模式
  paysupply: null,//供应方
  paynature: null,//收费性质
  paycost: null,//费用类型
  paperexam: null,//试卷类型
  areas: null,//地区-省
  cityList: null,//地区-市
  classList: null,//班级
  examList: null,//考试安排过滤
  examLists: null,//考试安排
  applySiteAddress: null,//考试地点
  beforeList: null,//前培安排过滤
  beforeLists: null,//前培安排
  indexnum: null,//模拟
  systemtenantlist: null,//机构列表
  topinstitutionList: null,//职能机构
  topinstcategoryList: null,//成本分类
  merList: null,//店铺管理列表
  storeList: null,//商户管理列表
  categorytreeList: null,//商户分类列表
}
const mutations = {
  //商户分类列表
  CATEGORYTREELIST(state) {
    api.mallgoodscategorytree({ status: 1 }).then(res => {
      state.categorytreeList = res.data
    })
  },
  //机构列表
  TENANTLIST(state) {
    api.systemtenantlist({ status: 1 }).then(res => {
      state.systemtenantlist = res.rows
    })
  },
  //职能机构
  INSTITUTION(state) {
    api.topinstitutionList({ status: 1 }).then(res => {
      state.topinstitutionList = res.rows
    })
  },
  //成本分类
  COSTCAT(state) {
    api.topinstcategoryList({ status: 1 }).then(res => {
      state.topinstcategoryList = res.rows
    })
  },
  //商户管理列表
  STORELIST(state) {
    api.mallstorelist({ status: 1 }).then(res => {
      state.storeList = res.rows
    })
  },
  //店铺管理列表
  MERLIST(state) {
    api.mallmerchantlist({ status: 1 }).then(res => {
      state.merList = res.rows
    })
  },
  //更新角色列表
  EDICROLELIST(state) {
    api.obtainRoleList({ status: 1 }).then(res => {
      state.roleList = res.rows
    })
  },
  //更新教育类型
  EDICATIONTYPE(state) {
    api.inquireCourseEducationType({ status: 1 }).then(res => {
      state.educationType = res.rows
    })
  },
  //更新项目类型
  PROJECTTYPE(state) {
    api.inquireCourseProjectType({ status: 1 }).then(res => {
      state.projectType = res.rows
    })
  },
  //更新业务层级
  BUSINESSLEVEL(state) {
    api.inquirebusinessList({ status: 1 }).then(res => {
      state.businessLevel = res.rows
    })
  },

  //更新科目
  SUJECTTYPE(state) {
    api.inquireCourseSubject({ status: 1 }).then(res => {
      state.sujectType = res.rows
    })
  },
  //更新院校
  SCHOOLLIST(state) {
    api.inquireUserSchool({ status: 1 }).then(res => {
      state.schoolList = res.rows
    })
  },
  //更新专业
  PROFESSIONAL(state) {
    api.inquireCourseMajor({ status: 1 }).then(res => {
      state.Professional = res.rows
    })
  },
  //更新考期
  COURSEEXAMINE(state) {
    api.inquireCourseExamine({ status: 1 }).then(res => {
      state.courseExamine = res.rows
    })
  },
  //更新证书类型
  CERTIFICATE(state) {
    api.inquireBaseCertificate({ status: 1 }).then(res => {
      state.certificate = res.rows
    })
  },
  //更新证书名称
  CERTIFICATENAME(state) {
    api.inquireBaseCertificatecommon({ status: 1 }).then(res => {
      state.certificateName = res.rows
    })
  },
  //更新证书模板
  CERTIFICATETP(state) {
    api.inquireBaseCertificatetp({ status: 1 }).then(res => {
      state.certificateTp = res.rows
    })
  },
  //更新标签
  LABELLIST(state) {
    api.inquireCourseLabelList({ status: 1 }).then(res => {
      state.labelList = res.rows
    })
  },
  //更新支付通道
  PAYLIST(state) {
    api.inquirepayaislelist({ status: 1 }).then(res => {
      state.payList = res.rows
    })
  },
  //更新收款方
  PAYPAYEE(state) {
    api.inquirepaypayee({ status: 1 }).then(res => {
      state.paypayee = res.rows
    })
  },
  //更新渠道来源
  PAYSOURCE(state) {
    api.inquirepaysource({ status: 1 }).then(res => {
      state.paysource = res.rows
    })
  },
  //更新到访分校
  PAYVISIT(state) {
    api.inquirepayvisit({ status: 1 }).then(res => {
      state.payvisit = res.rows
    })
  },


  //更新服务模式
  PAYSERVE(state) {
    api.inquirepayserve({ status: 1 }).then(res => {
      state.payserve = res.rows
    })
  },
  //更新供应方
  PAYSUPPLY(state) {
    api.inquirepaysupply({ status: 1 }).then(res => {
      state.paysupply = res.rows
    })
  },
  //更新收费性质
  PAYNATURE(state) {
    api.inquirepaynature({ status: 1 }).then(res => {
      state.paynature = res.rows
    })
  },
  //更新费用类型
  PAYCOST(state) {
    api.inquirepaycost({ status: 1 }).then(res => {
      state.paycost = res.rows
    })
  },
  //更新地区-省
  AREAS(state) {
    api.inquireapplyAreas({ status: 1 }).then(res => {
      state.areas = res.rows
    })
  },
  //更新地区-市
  CITYLIST(state) {
    api.inquireapplyCityList({ status: 1 }).then(res => {
      state.cityList = res.rows
    })
  },
  //更新班级
  CLASSLIST(state) {
    api.inquireGradegradeList({ status: 1 }).then(res => {
      state.classList = res.rows
    })
  },
  //更新考试安排
  EXAMLIST(state) {
    api.inquiresystemapplyList({ status: 1 }).then(res => {
      state.examList = res.rows
    })
    api.inquiresystemapplyList({ status: "0,1,2" }).then(res => {
      state.examLists = res.rows
    })
  },
  //更新考试地点
  APPLYSITEADDRESS(state) {
    api.inquiresystemsite({ status: 1 }).then(res => {
      state.applySiteAddress = res.rows
    })
  },
  //更新前培安排
  BEFORELIST(state) {
    api.inquiresystembefore({ status: 1 }).then(res => {
      state.beforeList = res.rows
    })
    api.inquiresystembefore({ status: '0,1,2' }).then(res => {
      state.beforeLists = res.rows
    })
  },
  //更新试卷类型
  EXAMTYPE(state) {
    api.inquirepaperexamList({ status: 1 }).then(res => {
      state.paperexam = res.rows
    })
  },
}

const actions = {

}

export default {
  state,
  mutations,
  actions
}

